SelfTestFailure Class Reference

Exception thrown when a crypto algorithm is used after a self test fails. More...

`#include <fips140.h>`

Inheritance diagram for SelfTestFailure:

## Public Member Functions

| SelfTestFailure (const std::string &s)
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED , INVALID_ARGUMENT , CANNOT_FLUSH , DATA_INTEGRITY_CHECK_FAILED , INVALID_DATA_FORMAT , IO_ERROR , OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when a crypto algorithm is used after a self test fails.

The self tests for an algorithm are performed by Algorithm class when CRYPTOPP_ENABLE_COMPLIANCE_WITH_FIPS_140_2 is defined.

Definition at line 22 of file fips140.h.

## Constructor & Destructor Documentation

## SelfTestFailure()

SelfTestFailure::SelfTestFailure | ( | const std::string & | s | ) |

inline explicit

Definition at line 25 of file fips140.h.

The documentation for this class was generated from the following file:

- fips140.h